# Getting Task Status

All Ignite Services tasks are assigned a unique `taskId`. This ID is provided in the callback and/or broadcast for the orginating method call, such as `install()`, `performAction()`, `getApplicationDetails()`, etc.

To get the status of a task, call the [`getTaskInfo()` method](/dt-ignite/ignite-services/sdk-reference/get-task-status.md) and include the `taskId` of the task you want to monitor.

The following sequence diagram outlines the process of using the DTIS SDK to retrieve the status of a task.

{% @mermaid/diagram content="---
config:
theme: default
--------------

sequenceDiagram
participant Host as Host App
participant SDK as Ignite
autonumber

Host ->> SDK: Initialize and Authenticate
Host ->> SDK: DTIS SDK Method
opt callback and/or broadcast
SDK -->> Host: notifications that include taskId
end

Host ->> SDK: getTaskInfo(taskId)

SDK -->> Host: onProgress(taskId)
SDK -->> Host: onSuccess(taskId)
SDK -->> Host: onError(taskId)" %}

For a complete list of expected responses, see the [`getTaskInfo()` method](/dt-ignite/ignite-services/sdk-reference/get-task-status.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalturbine.com/dt-ignite/ignite-services/use-cases/getting-task-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
